Summary:	Tools for using the Network Block Device
Summary(pl.UTF-8):	Narzędzia do używania Network Block Device
Name:		nbd
Version:	3.14
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/nbd/%{name}-%{version}.tar.xz
# Source0-md5:	fa29f57ca752e363edc15f0e35f0a95f
Source1:	nbd@.service.tmpl
Patch0:		%{name}-gznbd.patch
URL:		http://nbd.sourceforge.net/
BuildRequires:	docbook-dtd45-sgml
BuildRequires:	docbook-utils
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.26.0
Obsoletes:	nbd-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
nbd contains the tools needed to export a network block device and to
use a network block device. The nbd module is part of the 2.2 kernels
and higher.

If you have a kernel patched for it, you can use the network block
device to swap over the net, which is particularly useful for diskless
workstations.

%description -l pl.UTF-8
nbd zawiera narzędzia potrzebne do wyeksportowania i używania
sieciowego urządzenia blokowego (Network Block Device). Moduł do nbd
jest w jądrze 2.2 i późniejszych.

Jeżeli masz kernel z odpowiednią łatą, możesz używać sieciowego
urządzenia blokowego do swapowania przez sieć - jest to przydatne w
przypadku stacji bezdyskowych.

%prep
%setup -q
%patch0 -p1

test ! -f systemd/nbd@.service.tmpl
cp %{SOURCE1} systemd

%build
%configure \
	--enable-gznbd \
	--enable-lfs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/nbd-server

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gznbd
%attr(755,root,root) %{_bindir}/nbd-server
%attr(755,root,root) %{_bindir}/nbd-trdump
%attr(755,root,root) %{_sbindir}/nbd-client
%dir %{_sysconfdir}/nbd-server
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nbd-server/config
%{_mandir}/man1/nbd-server.1*
%{_mandir}/man1/nbd-trdump.1*
%{_mandir}/man5/nbd-server.5*
%{_mandir}/man5/nbdtab.5*
%{_mandir}/man8/nbd-client.8*
%changelog
* Wed Mar 14 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/nbd.git;a=log;h=5e2b5bf1d0cd292082e252c5c67e609f6e095466

* Fri Aug 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 5e2b5bf
- updated to 3.14
- include missing file as source1

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> f279f13
- updated to 3.11
- removed obsolete types patch

* Sun Sep 18 2011 Jakub Bogusz <qboosh@pld-linux.org> e752cbe
- updated to 2.9.24

* Tue May 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 6674ea2
- updated to 2.9.22
- removed obsolete missing-file patch

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 8ea650b
- updated to 2.9.21
- added missing-file patch (sh.tmpl taken from nbd git)

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> e294d4b
- updated to 2.9.18

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 5c018b8
- updated for 2.9.11

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 329a5ac
- updated to 2.9.11

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> d9784f0
- updated to 2.9.9

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 44a8d07
- updated to 2.9.8

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 2abb8b2
- updated to 2.9.6

* Wed Jul 11 2007 Jakub Bogusz <qboosh@pld-linux.org> d4600f4
- updated to 2.9.4

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 0385622
- updated to 2.9.3

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 5f2da9b
- updated to 2.9.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6a3cd27
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b801660
- converted to UTF-8

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 1658437
- updated to 2.9.0

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 711ac42
- updated to 2.8.7

* Thu Aug 24 2006 darekr <darekr@pld-linux.org> 3875ddb
- added %doc

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 9409d27
- updated to 2.8.6

